#!/bin/sh
set +x
#
#    Licensed Materials - Property of IBM
#
#    "Restricted Materials of IBM"
#
#    5724-U38, 5724-U39, 5724-U48
#
#     Copyright IBM Corp. 2018 All Rights Reserved
#
#     Copyright 2018 UNICOM Systems, Inc. - All Rights Reserved
#
#    US Government Users Restricted Rights - Use, duplication or
#    disclosure restricted by GSA ADP Schedule Contract with
#    IBM Corp.
#
# Syntax:
# CopyRTFiles.sh source_dir target_dir
#
# Copies known Optim files from a source web directory to a
# target web directory.
case `uname -s` in
   AIX)
      _OPTS='-d -Eignore -U -p'
      ;;

   Darwin)
      _OPTS='-n -p'
      ;;

   HP-UX)
      _OPTS=' '
      ;;

   Linux)
      _OPTS='-n'
      ;;

   SunOS)
      _OPTS='-@'
      ;;

esac
if [ -z "$1" ]; then
   echo A source web directory is required.
   exit 1
fi
if [ -z "$2" ]; then
   echo A target web directory is required.
   exit 1
fi
if [ ! -d $1 ]; then
   echo The source web directory $1 does not exist.
   exit 1
fi
if [ ! -d $2 ]; then
   echo The target web directory $2 does not exist.
   exit 1
fi
# Copy any text files 
cp ${_OPTS} "$1"/app/*.txt "$2"/app/
cp ${_OPTS} "$1"/app/*.TXT "$2"/app/

# Copy any configuration files 
cp ${_OPTS} "$1"/app/*.xml "$2"/app/
cp ${_OPTS} "$1"/app/*.CFG "$2"/app/
